_Eina_Future_Cb_Console_Desc Struct Reference
Eina » Eina Promises » Eina Futures » Eina Future Callbacks

A struct used to define the prefix and suffix to be printed along side the a future value. More...

`#include <eina_promise.h>`

## Data Fields

const char * | prefix
| The prefix to be printed.
const char * | suffix
| The suffix the be printed.

## Detailed Description

A struct used to define the prefix and suffix to be printed along side the a future value.

This struct is used by eina_future_cb_console_from_desc()

See also
  eina_future_cb_console_from_desc()

## Field Documentation

## prefix

const char* _Eina_Future_Cb_Console_Desc::prefix

The prefix to be printed.

If `NULL` an empty string ("") is used.

Referenced by eina_future_cb_console_from_desc().

## suffix

const char* _Eina_Future_Cb_Console_Desc::suffix

The suffix the be printed.

If `NULL` '
' is used.

Referenced by eina_future_cb_console_from_desc().